osso-clock-ui (1.5.16-0) unstable; urgency=low

  * Fixes: NB#83695 Minimum value information banner is displayed incorrectly
    in Clock
  * Fixes: NB#78300 Modifying a periodic alarm fails

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Tue,  8 Apr 2008 15:00:00 +0200

osso-clock-ui (1.5.15-0) unstable; urgency=low

  * Fixes: NB#77247 Alarms UI dialog doesn't respond to stylus

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Mon,  2 Apr 2008 11:19:40 +0200

osso-clock-ui (1.5.03-0) unstable; urgency=low

  * Fixes: NB#78979 Time left is not displayed in Days and Hours when it is more
    than 24 hours while setting an alarm

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Mon,  7 Jan 2008 11:19:40 +0200

osso-clock-ui (1.4.52-0) unstable; urgency=low

  * Fixes: NB#77076 Not able to close Clock with CTRL+Q

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Mon, 17 Dec 2007 15:40:59 +0200

osso-clock-ui (1.4.47-1) unstable; urgency=low

  * Fixed implicit declaration warning

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Mon, 19 Nov 2007 17:02:03 +0200

osso-clock-ui (1.4.47-0) unstable; urgency=low

  * Fixes: NB#75263 missing dependencies

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Tue, 13 Nov 2007 11:13:37 +0200

osso-clock-ui (1.4.40-0) unstable; urgency=low

  * Add missing ()
  * Fixes: NB#70740 Clock; Alarm setup plays videos
  * Fixes: NB#57930 The world clock updates the screen even if display is turned off
  * Fixes: NB#71334 Time in digital clock is not getting updated if alarm is expired and then set to snooze on top of time picker window.

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Mon, 24 Sep 2007 17:07:43 +0300

osso-clock-ui (1.4.39-0) unstable; urgency=low

  * Fixes: NB#69770 Glib CRITICALs on theme change
  * Fixed: NB#70386 Unnecessary complaint when setting daily alarm in the past.
  * Fixes: NB#53342 In set alarm dialog sound accepts the currupted mp3 file.
  * Fixes: NB#69718 Clock application crashes on reboot after alarm expires ,on device switch off condition.

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Wed, 19 Sep 2007 13:00:00 +0300

osso-clock-ui (1.4.37-0) unstable; urgency=low

  * Fixes: NB#53342 In set alarm dialog sound accepts the currupted mp3 file.

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Wed,  5 Sep 2007 12:45:20 +0300

osso-clock-ui (1.4.35-0) unstable; urgency=low

  * Fixes: NB#57930 The world clock updates the screen even if display is turned off

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Mon, 27 Aug 2007 14:20:16 +0300

osso-clock-ui (1.4.34-0) unstable; urgency=low

  * Fixes: NB#53587 Mediaserver D-BUS timeout too small when playing alarm tone
  * Fixes: NB#65918 world clock: to enable options import from Maemo Launcher
  * Fixes: NB#65989 Application is not responding for , when select alarm tone from gateway device in memory full condition.

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Fri, 17 Aug 2007 17:58:54 +0300

osso-clock-ui (1.4.32-0) unstable; urgency=low

  * Fixes: NB#64746 "Unable to set alarm for time in the past" info banner is displaying in back of the dialog box.
  * Fixes: NB#63179 Alarm is getting created even if the time editor fields are empty
  * Fixes: NB#63648 Multiple focus is shown on alarm entries in alarm dialog.
  * Fixes: NB#61269 Focus movement is not correct in Alarm's list .

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Thu,  2 Aug 2007 10:27:09 +0300

osso-clock-ui (1.4.31-0) unstable; urgency=low

  * Fixes: NB#62864 Ctrl-Q shortcut is not shown in app menu
  * Fixes: NB#64240 No default focus on Alarms dialog

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Wed, 25 Jul 2007 17:53:09 +0300

osso-clock-ui (1.4.28-0) unstable; urgency=low

  * Fixes: NB#62345 RSS reader show notfication instead of banner

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Tue,  3 Jul 2007 12:04:31 +0300

osso-clock-ui (1.4.27-0) unstable; urgency=low

  * Fixes: NB#52111 Alarm time is not updating in Edit alarm dialog , after snooze alarm.
  * Fixes: NB#48432 Info banner is not shown when invalid letters entered in date editor of set alarm dialog

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Thu, 28 Jun 2007 11:52:05 +0300

osso-clock-ui (1.4.26-0) unstable; urgency=low

  * Fixes: NB#57511 While we try to set alarm for past time,Time is not changed back to current time in set alarm dialog.

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Thu, 21 Jun 2007 14:05:25 +0300

osso-clock-ui (1.4.24-2) unstable; urgency=low

  * fixed broken include

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Thu, 14 Jun 2007 15:51:01 +0300

osso-clock-ui (1.4.24-1) unstable; urgency=low

  * libhildonhelp consolidation

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Wed, 13 Jun 2007 18:36:51 +0300

osso-clock-ui (1.4.24-0) unstable; urgency=low
 
  * Fixes: NB#56278 No info note when setting alarm to past when repeat is weekly once.

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Fri, 8 Jun 2007 11:10:03 +0300

osso-clock-ui (1.4.20-0) unstable; urgency=low

  * Fixes: NB#56729 osso-clock-ui shall be compiled without -Werror

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Mon, 14 May 2007 09:09:03 +0300

osso-clock-ui (1.4.11-1) unstable; urgency=low

  * First 1.1 release

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Mon, 12 Mar 2007 15:30:58 +0300

osso-clock-ui (1.3.59-0) unstable; urgency=low

  * Fixes: NB#50876 Clock application doesn't close with long press of Esc key in full screen mode.

 -- Ouyang Qi <qi.ouyang@nokia.com>  Mon, 12 Feb 2007 15:30:58 +0300

osso-clock-ui (1.3.58-0) unstable; urgency=low

  * Fixes: NB#423345 Clock application does not open after opening Alarms dialog first

 -- Ouyang Qi <qi.ouyang@nokia.com>  Mon, 5 Feb 2007 15:30:58 +0300

osso-clock-ui (1.3.52-0) unstable; urgency=low

  * Fixes: NB#50140 Alarm - Time until next alarm is notificated incorrectly - TRUE

 -- Ouyang Qi <qi.ouyang@nokia.com>  Mon, 22 Dec 2006 15:30:58 +0300

osso-clock-ui (1.3.48-0) unstable; urgency=low

  * Fixes: NB#48393 Clock does not initialise D-Bus threads

 -- Ouyang Qi <qi.ouyang@nokia.com>  Mon, 27 Nov 2006 15:30:58 +0300

osso-clock-ui (1.3.47-0) unstable; urgency=low

  * Fixes: NB#46463 Not showing info " maximum value is 20372".
  * Fixes: NB#39936 Focus is not coming always when tap on date.
  * Fixes: NB#40964 Focus behaviour in date and time dialog after opening two instances
  * Fixes: NB#45931 Alarm sets even after blanking the time in set alarm dialog
  * Fixes: NB#47508 Alarm sets even after blanking the date fields in set alarm dialog

 -- Ouyang Qi <qi.ouyang@nokia.com>  Mon, 20 Nov 2006 15:30:58 +0300

osso-clock-ui (1.3.46-1) unstable; urgency=low

  * Fixes: NB#44488 "Alarms" dialog is not opened after start-up
  * Fixes: NB#47231 osso-clock-ui uses both ULOG_ and DLOG_ logging macros

 -- Ouyang Qi <qi.ouyang@nokia.com>  Mon, 13 Nov 2006 15:30:58 +0300

osso-clock-ui (1.3.44-0) unstable; urgency=low

  * Fixes: NB#43857 Opens Edit alarm dialog instead of set alarm dialog.
  * Fixes: NB#43863 Showing alarm icon on world map eventhough there is no alarm set.
  * Fixes: NB#44725 Clock crashes when blanking and editing time in set alarm dialog
  * Fixes: NB#44958 Logical name "cloc_notify_alarm_set" is using extra variable for days

 -- Ouyang Qi <qi.ouyang@nokia.com>  Mon, 30 Oct 2006 15:30:58 +0300

osso-clock-ui (1.3.43-0) unstable; urgency=low

  * Fixes: NB#43426 Clock cannot be closed by pressing ESC hardware key
  * Fixes: NB#43501 Clock; Truncation; "Select destination city"cloc_ti_select_destination_city_title is truncated
  * Fixes: NB#43747 Focus should be on set alarm button in alarms dialog when the alarms list is empty.
  * Fixes: NB#43417 Focus is not going to year field.

 -- Ouyang Qi <qi.ouyang@nokia.com>  Mon, 23 Oct 2006 15:30:58 +0300

osso-clock-ui (1.3.42-0) unstable; urgency=low

  * Fixes: NB#42547 Alarms dialog on top of Set alarm dialog
  * Fixes: NB#40562 clock ; sv-SE ; Incorrect translation for "Serbia and Montenegro"
  * Fixes: NB#42637 Alarm icon on the world map does not change immediately once the previous alarms gets removed.
  * Fixes: NB#42693 By Pressing ESC key In clock full screen mode has no effect.
  * Fixes: NB#41499 Alarm is set info banner comes behind the Alarms dialog
  * Fixes: NB#43197 Not showing mimimum value info for lower limit.

 -- Ouyang Qi <qi.ouyang@nokia.com>  Mon, 25 Sep 2006 15:30:58 +0300

osso-clock-ui (1.3.41-0) unstable; urgency=low

  * Fixes: NB#42442 Time Zone should be updated when changing home city
  * Fixes: NB#42558 Relative difference seen,but destination city time is changing when changing home city

 -- Ouyang Qi <qi.ouyang@nokia.com>  Mon, 25 Sep 2006 15:30:58 +0300

osso-clock-ui (1.3.40-1) unstable; urgency=low

  * Fixes: NB#41015 Thumbview of Clock menu does not contain second line
  * Fixes: NB#41428 osso-clock-ui build-depends aren't up to date
  * Fixes: NB#39916 Showing wrong details in Alarm dialog when set alarm for boundary values.
  * Fixes: NB#40968 No sound is playing when select audio file from gateway.
  * Fixes: NB#40175 Two info banners one above the another
  * Fixes: NB#40672 When the date fieldlet is left empty alone, the info banner is displayed after canceling too
  * Fixes: NB#38601 Alarm notification comes soon after changing device date to future date
  * Fixes: NB#41095 Problems with window modality when trying to access 'Help' icon in the background

 -- Ouyang Qi <qi.ouyang@nokia.com>  Mon, 25 Sep 2006 15:30:58 +0300

osso-clock-ui (1.3.39-0) unstable; urgency=low

  * Fixes: NB#36078 City selected is not in focus if the city is after Warsaw,Poland in the list.
  * Fixes: NB#40744 osso-statusbar-alarm and home clock plugin packages don't provide debug symbols package for debugging
  * Fixes: NB#40867 special charactors is not visible in alarm description.

 -- Ouyang Qi <qi.ouyang@nokia.com>  Mon, 25 Sep 2006 15:30:58 +0300

osso-clock-ui (1.3.38-1) unstable; urgency=low

  * Fixes: NB#38957 Alarms list in a distorted fashion
  * Fixes: NB#40179 Open audio clips dialog behind Set alarm dialog
  * Fixes: NB#40200 Alarm entry is not removed from 'Alarms' dialog when multiple alarms are set
  * Fixes: NB#39749 Long press of select key on open sound dialog start swapping between dialogs.
  * Fixes: NB#40625 Remove alarm is not working always.
  * Added: Time handling fixes

 -- Ouyang Qi <qi.ouyang@nokia.com>  Mon, 18 Sep 2006 15:30:58 +0300

osso-clock-ui (1.3.37-1) unstable; urgency=low

  * Fixes: NB#40162 Clock crashes after an alarm is set with a new ring tone.

 -- Ouyang Qi <qi.ouyang@nokia.com>  Mon, 11 Sep 2006 15:30:58 +0300

osso-clock-ui (1.3.37-0) unstable; urgency=low

  * Fixes: NB#39448 Alarm can't be set for past info banner when repeat field is daily
  * Fixes: NB#39543 Set alarm time is displayed wrong.
  * Fixes: NB#39627 Full screen action in Clock

 -- Ouyang Qi <qi.ouyang@nokia.com>  Mon, 11 Sep 2006 15:30:58 +0300

osso-clock-ui (1.3.36-2) unstable; urgency=low

  * Fixes: NB#39594 Clock application closes when year & home city is changed from the control pannel.
  * Fixes: NB#39322 Clock - Alarm entry is not selected by default in 'Alarms' dialog

 -- Ouyang Qi <qi.ouyang@nokia.com>  Mon, 4 Sep 2006 15:30:58 +0300

osso-clock-ui (1.3.36-2) unstable; urgency=low

  * Fixes: NB#39490 Time shown in Home Applet is not insynchronization with time shown in Clock application

 -- Ouyang Qi <qi.ouyang@nokia.com>  Mon, 4 Sep 2006 15:30:58 +0300

osso-clock-ui (1.3.36-0) unstable; urgency=low

  * Fixes: NB#35199 Not able to set alarm less than 60 min.
  * Fixes: NB#35202 Alarm notification comes one hour  before scheduled time.
  * Fixes: NB#35205 One -off alarms is not removed from alarms view after snooze
  * Fixes: NB#37978 Information banner is displayed behind the Set Alarm dialog.
  * Fixes: NB#38479 Maximum value is ___ info banner not displayed
  * Fixes: NB#38602 The repeat interval being "Daily" the date editor is dimmed in Set alarm dialog but enabled in Edit alarm dialog
  * Fixes: NB#38640 "Open sound"-button wrongly placed in Set alarm dialog
  * Fixes: NB#38869 Alarm gets removed even after cancelling.

 -- Ouyang Qi <qi.ouyang@nokia.com>  Mon, 4 Sep 2006 15:30:58 +0300

osso-clock-ui (1.3.35-0) unstable; urgency=low

  * Fixes: NB#37626 Clock application crashes when an alarm is set  for 01/01/2038.
  * Fixes: NB#36433 Home city clock flickers on tapping world map.
  * Fixes: NB#37064 Clock; A date is not displayed correctly in Alarms dialog
  * Fixes: NB#30942 Guadalajara,Spain....not selecting as home city and destination city.

 -- Ouyang Qi <qi.ouyang@nokia.com>  Mon, 28 Aug 2006 15:30:58 +0300

osso-clock-ui (1.3.33-0) unstable; urgency=low

  * Fixes: NB#34985 After snoozeing a alarm, alarm icon is not getting changed in alarm dialog.
  * Fixes: NB#34986 After snooze alarm time is not updated in alarm list.
  * Fixes: NB#35954 Alarms list getting changed when set alarm dialog is about to open
  * Fixes: NB#39984 Able to set alarm for same date and time.
  * Fixes: NB#36032 Cursur behavior is not correct.
  * Fixes: NB#36089 Value is not reset in the date editor in the set alarm dialog after deleting the value and moving away
  * Fixes: NB#36883 osso-clock-ui:attempts to use POSIX function localtime_r in strict ANSI mode
  * Fixes: NB#37003 Scroll bar functioning is not smooth
  * Fixes: NB#37005 Scrolling through alarms using h/w keys closes the application
  * Fixes: NB#37010 Time pickers in Set alarm and Date and time dialogs
  * Fixes: NB#37018 Clock; Delete alarm; first alarm is always removed by default
  * Fixes: NB#37071 "No alarms" blinks once & disappears at the bottom of the alarms dialog.
  * Fixes: NB#37149 First alarm alone visible on opening set alarm dialog
  * Fixes: NB#37217 Time is not updated in the edit alarm dialog after snooze is selected in the alarm notification.
  * Fixes: NB#37219 Snoozed alarm icon in the alarm list is not as per the spec.
  * Fixes: NB#37297 Focus automatically goes to the first alarm in the list
  * Fixes: NB#37174 Clock application hangs for sometime and set alarms vanish
  * Fixes: NB#37080 Alarm sound is not played
  * Fixes: NB#37034 Clock; ; Setting alarm; Long response time when setting alarm on same day before system time
  * Fixes: NB#37016 Default sound alarm not in device
  * Fixes: NB#36077 Clock Application crashe, when mahjong application is in background.
  * Fixes: NB#36075 Clock Application crashe, when chess application is in background.
  * Fixes: NB#37057 Application hangs while tried to set alarm with tones other than the default tones.
  * Fixes: NB#37303 Horizontal scroll bar in Alarms dialog
  * Fixes: NB#37101 Minimum year value displayed in the info banner is wrong.
  * Fixes: NB#37014 Clock application is not maximized on tapping alarm icon on status bar
  * Fixes: NB#36441 Alarm icon missing on world map after changing regional settings.
  * Fixes: NB#35970 After snoozing , added snooze interval is not equal to  set value
  
 -- Ouyang Qi <qi.ouyang@nokia.com>  Mon, 14 Aug 2006 15:30:58 +0300

osso-clock-ui (1.3.32-0) unstable; urgency=low

  * Fixes: NB#36438 __ is not replaced with the minimum value accepted by the field in Set alarm dialog
  * Fixes: NB#36005 Alarm notification is not coming for set alarm.
  * Fixes: NB#36437 Two different values for the same info banner
  * Fixes: NB#35973 Icon in Clock alarm notification is not as per spec.

 -- Ouyang Qi <qi.ouyang@nokia.com>  Mon, 7 Aug 2006 15:30:58 +0300

osso-clock-ui (1.3.31-1) unstable; urgency=low

  * Fixes: NB#36574 Not able to set alarm .

 -- Ouyang Qi <qi.ouyang@nokia.com>  Mon, 28 Jul 2006 15:30:58 +0300

osso-clock-ui (1.3.31-0) unstable; urgency=low

  * Fixes: NB#35990 "Switch on device?" dialog is not coming after pressing snooze in switch off mode.
  * Fixes: NB#35984 Able to set alarm for same date and time.
  * Fixes: NB#35981 Info banner for the time difference for alarm expiry is not as per spec
  * Fixes: NB#35936 Data not preserved in the set alarm dialog for daily alarm
  * Fixes: NB#36089 Value is not reset in the date editor in the set alarm dialog after deleting the value and moving away
  * Fixes: NB#36032 Cursur behavior is not correct.
  * Fixes: NB#36002 User can able to set alarm for year 2038.

 -- Ouyang Qi <qi.ouyang@nokia.com>  Mon, 26 Jul 2006 15:30:58 +0300

osso-clock-ui (1.3.30-1) unstable; urgency=low

  * Fixes: NB#35920 Application crashes while scrolling by HW key in alarm list.

 -- Ouyang Qi <qi.ouyang@nokia.com>  Mon, 26 Jul 2006 15:30:58 +0300

osso-clock-ui (1.3.30-0) unstable; urgency=low

  * Updated: NR#131488
  * Fixes: NB#35162 Old value is not retained when the value in Time field is left blank and the next field is tapped.
  * Fixes: NB#34984 Set alarm's  description is not displayed in Alarm dialog.
  * Fixes: NB#34986 After snooze alarm time is not updated in alarm list.
  * Fixes: NB#35218 Set alarm get deleted from alarm view after changing time of system.
  * Fixes: NB#23799 Set alarm accepting blank time field.
  * Fixes: NB#35370 Alarm behaviour before having changed Home city even once.
  * Fixes: NB#35367 Alarm applet invoked from SB is not system modal when clock application is open.
  * Fixes: NB#35611 Set alarm is not removed from Alarms dialog when acknowledged by pressing "Select" hardkey.
  * Fixes: NB#35615 Dialog name is not "Edit alarm" when editing an existing alarm.

 -- Ouyang Qi <qi.ouyang@nokia.com>  Mon, 24 Jul 2006 15:30:58 +0300

osso-clock-ui (1.3.29-2) unstable; urgency=low

  * Updated: NR#131488
  * Fixes: NB#34984

 -- Ouyang Qi <qi.ouyang@nokia.com>  Mon, 17 Jul 2006 15:30:58 +0300

osso-clock-ui (1.3.29-1) unstable; urgency=low

  * Fixes: NB#32145

 -- Ouyang Qi <qi.ouyang@nokia.com>  Mon, 14 Jul 2006 15:30:58 +0300

osso-clock-ui (1.3.29-0) unstable; urgency=low

  * Fixes: NB#27530, NB#31236, NB#31947,NB#32138, NB#32142, NB#30778, NB#32151, NB#32154, NB#32756, NB#32800, NB#32975, NB#32982, NB#32983, NB#32984, NB#33124, NB#34014, NB#34065, NB#34068, NB#34353, NB#34354, NB#34355, NB#34358, NB#34394, NB#34406 

 -- Ouyang Qi <qi.ouyang@nokia.com>  Mon, 13 Jul 2006 15:30:58 +0300

osso-clock-ui (1.3.28-0) unstable; urgency=low

  * Implemented: CSM

 -- Ouyang Qi <qi.ouyang@nokia.com>  Mon, 26 Jun 2006 15:30:58 +0300

osso-clock-ui (1.2.26-0) unstable; urgency=low

  * Bug 32213: Set alarm dialog not closing on pressing Escape hardkey.
  * Bug 32280: Using Select hardkey on "Open sound" button in "Set alarm"
  * Bug 31629: On deleting the selected alarm tone from file manager, the tone
  * Bug 31761: home clock plugin contains unneccessary .la and .a files.
  * Bug 32604: Home clock plugin leaks
  * Bug 30942: Guadalajara,Spain....not selecting as home city and destination
  * Bug 32497: Hardkey response in Select home city dialog
  * Bug 33312: osso-clock-ui and osso-clock-widget packages are depending on

 -- Ouyang Qi <qi.ouyang@nokia.com>  Mon, 26 Jun 2006 15:30:58 +0300

osso-clock-ui (1.2.23-0) unstable; urgency=low

  * Bug 29411: Corrupted audio file-"Clock closed due to an internal error"
  * Bug 30764: Select hardkey gives undesirable response in "Set alarm" dialog

 -- Ouyang Qi <qi.ouyang@nokia.com>  Fri,  2 Jun 2006 15:30:58 +0300

osso-clock-ui (1.2.22-0) unstable; urgency=low

  * Use the new world map image

 -- Ouyang Qi <qi.ouyang@nokia.com>  Wed, 24 May 2006 15:30:58 +0300

osso-clock-ui (1.2.20-1) unstable; urgency=low

  * Bug 29490: The home clock applet is too small
  * Bug 28838: home applet corners are not shown round as they should

 -- Ouyang Qi <qi.ouyang@nokia.com>  Tue, 16 May 2006 14:47:32 +0300

osso-clock-ui (1.2.20-0) unstable; urgency=low

  * Bug 27960: Clock applet not in sync with World Clock.

 -- Ouyang Qi <qi.ouyang@nokia.com>  Thu, 10 May 2006 14:47:32 +0300

osso-clock-ui (1.2.19-1) unstable; urgency=low

  * Bug 29021: Removing alarm via SB alarm icon gives internal error dialog

 -- Ouyang Qi <qi.ouyang@nokia.com>  Wed, 10 May 2006 14:47:32 +0200

osso-clock-ui (1.2.19-0) unstable; urgency=low

  * Bug 25186: Information banner "Unable to play selected alarm tone"
  * Bug 26664: Default tone is not played when a corrupted audio file is
  * Bug 28790: clock leaks memory when destination city is selected
  * Bug 28793: clock leaks memory when audio file is selected

 -- Ouyang Qi <qi.ouyang@nokia.com>  Wed, 10 May 2006 14:47:32 +0200

osso-clock-ui (1.2.18-0) unstable; urgency=low

  * Bug 25759: Home city change frrom control panel-->date and time settings
  * Bug 27683: No update in city display area after setting home city from
  * ifdef/define in Dbus.h changed.

 -- Ouyang Qi <qi.ouyang@nokia.com>  Wed, 26 Apr 2006 14:47:32 +0200

osso-clock-ui (1.2.17-0) unstable; urgency=low

  * Bug 23072: Icons in world clock are scaled
  * Bug 27507: Set alarm dialog does not close when ESC hard key is pressed
  * Bug 27525: Snooze dialog does not close on pressing Escape hardkey.
  * Bug 26545: direct start of osso_worldclock shall be used
  * Bug 24425: Long key press of HW button left, right, up, bottom key
  * Bug 20893: Potential memory leaks when using the libosso RPC API.
  * Bug 26291: Crash when selecting "Date and time settings" twice from
  * Bug 26752: The audio file selected as alarm tone is played at alarm
  * Bug 26235: Logical ID's in Select Home City -list (via Date and time
  * Bug 25763: Alarm notification will not come when the Home city is changed
  * Bug 23062: Clock leaks memory when opening menus
  * Home applet theming fix

 -- Ouyang Qi <qi.ouyang@nokia.com>  Wed, 26 Apr 2006 14:47:32 +0200

osso-clock-ui (1.2.16-1) unstable; urgency=low

  * Bug 26031: Crash in clock applet

 -- Ouyang Qi <qi.ouyang@nokia.com>  Wed, 19 Apr 2006 14:47:32 +0200

osso-clock-ui (1.2.16-0) unstable; urgency=low

  * Bug 25177: Accepts any number more than 12 for time in set alarm
  * Bug 23625: No time displayed in alarm notification dialog
  * Bug 23290: Selected Home city is not displayed in the date &
  * Bug 23625: No time displayed in alarm notification dialog
  * Bug 25187: Information banner "Unable to play selected alarm tone" is not
  * Bug 25387: No pull down menu for the Device language field in "Language
  * Bug 25496: Clock: Time difference b/w system time and alarm time
  * Bug 25533: Clock application crashes when the data in 'set alarm' 
  * Bug 25865: Two different Home city lists
  * Bug 25881: Clock applet shows time always in AM/PM mode
  * Bug 18442: Clock polls when when screen is blanked
  * Bug 25092: Help "?" is missing in home city dialog.
  * Bug 24692: Incorrect info banner displayed when entering values
  * Bug 24749: gnome-vfs eating up memory for nothing in osso-clock-ui

 -- Ouyang Qi <qi.ouyang@nokia.com>  Tue, 11 Apr 2006 14:47:32 +0200

osso-clock-ui (1.2.15-0) unstable; urgency=low

  * Bug 24379: No response to the select key press
  * Bug 23199: Select hardware key has no efffect in some views
  * Bug 21309: Two instances of Clock are present after doing a 'Restore
  * Bug 21974: Glib warnings on Desktop startup about topmost-status-lost/...
  * Bug 23330: Set alarm dialog does not popup
  * Bug 23911: Alarm icon disappears from status bar when restarting the device
  * Bug 23912: Audio clip selected as alarm tone continues to play even
  * Bug 24296: Set time is changing while opening the alarm dialog again
  * Bug 24299: Incorrect error note if MMC is removed while opening
  * Bug 24445: Application crash on tapping any of the buttons
  * Bug 24449: Issue with selecting an alarm tone from the pre-defined tones

 -- Ouyang Qi <qi.ouyang@nokia.com>  Tue,  4 Apr 2006 14:54:11 +0200

osso-clock-ui (1.2.14-0) unstable; urgency=low

  * Bug 23820: Clock application crashes when tapped on Ok and cancel button.
  * Bug 23804: Clock application crashes when tapped on alarm remove button.
  * Bug 23282: Clock application crashes when Ok button is selected in the Date 
  * DST fix

 -- Ouyang Qi <qi.ouyang@nokia.com>  Tue, 28 Mar 2006 11:05:42 +0200

osso-clock-ui (1.2.13-0) unstable; urgency=low

  * Bug 21764: Date changes wrongly for destination city when date for home 
  * Bug 21979: "Guadalajara,Mexico" cannot be set as home or destination city
  * Bug 23625: No time displayed in alarm notification dialog
  * Bug 24504: 1 hour and 1 minute delay in displaying alarm notificatio
  * Infonote corrected with correct alarm time

 -- Ouyang Qi <qi.ouyang@nokia.com>  Tue, 21 Mar 2006 12:44:51 +0200

osso-clock-ui (1.2.12-0) unstable; urgency=low

  * Bug 24564: Alarm icon is not displayed in statusbar after setting the alarm
  * Migrate to gcc3.4
  * Dependencies changes
  * hildon-lgpl -> hildon-libs
  * Bug 21974: Glib warnings on Desktop startup about topmost-status-lost/...
  * Bug 21309: Two instances of Clock are present after doing a 'Restore
  * l10n fixes

 -- Ouyang Qi <qi.ouyang@nokia.com>  Tue, 14 Mar 2006 13:33:33 +0200

osso-clock-ui (1.2.11-0) unstable; urgency=low

  * Bug 23200: Selecting the tone from the set alarm dialog crashes the
  * l10n fixes

 -- Ouyang Qi <qi.ouyang@nokia.com>  Tue,  7 Mar 2006 10:08:51 +0200

osso-clock-ui (1.2.10-0) unstable; urgency=low

  * Comment out osso_application_top call which crashes.
  * Bug 23296: Clock application crashes when tapped on the alarm
  * Bug 23201: Clock applet not getting displayed in Home from Home
  * Bug 23203: Remove option is always disabled in 'set alarm' dialog

 -- Ouyang Qi <qi.ouyang@nokia.com>  Thu,  2 Mar 2006 15:02:29 +0200

osso-clock-ui (1.2.09-0) unstable; urgency=low

  * Updated l10n dependencies

 -- Ouyang Qi <qi.ouyang@nokia.com>  Wed,  1 Mar 2006 09:03:24 +0200

osso-clock-ui (1.2.08-0) unstable; urgency=low

  * Finalized the home applet API migration

 -- Ouyang Qi <qi.ouyang@nokia.com>  Thu, 24 Feb 2006 10:02:00 +0200

osso-clock-ui (1.2.06-0) unstable; urgency=low

  * Home applet changes, expect hildon_home_applet_lib_settings
    (waiting for API to get integrated)
  * Fixed bug: 21864: Pressing ESC key does not close 'Select home city'
     & 'Select destination city' dialog.

 -- Ouyang Qi <qi.ouyang@nokia.com>  Thu,  9 Feb 2006 16:02:00 +0200

osso-clock-ui (1.2.04-0) unstable; urgency=low

  * Dbus 0.60 support

 -- Ouyang Qi <qi.ouyang@nokia.com>  Mon, 23 Jan 2006 15:01:37 +0200

osso-clock-ui (1.0.48-1) unstable; urgency=low

  * Depend on latest osso-clock-widget and use its 'clicked' signal

 -- Ouyang Qi <qi.ouyang@nokia.com>  Thu,  1 Dec 2005 14:53:29 +0200

osso-clock-ui (1.0.48-0) unstable; urgency=low

  * Fix destination city date output 
  * Add intltool as a dependency

 -- Ouyang Qi <qi.ouyang@nokia.com>  Thu,  1 Dec 2005 11:23:24 +0200

osso-clock-ui (1.0.46-3) unstable; urgency=low

  * Disabled alarm, removed deps

 -- Ouyang Qi <qi.ouyang@nokia.com>  Thu, 17 Nov 2005 09:33:57 +0200

osso-clock-ui (1.0.46-2) unstable; urgency=low

  * Removed a reference to a retval (bug 20893[PE])

 -- Ouyang Qi <qi.ouyang@nokia.com>  Tue, 15 Nov 2005 13:33:57 +0200

osso-clock-ui (1.0.46-1) unstable; urgency=low

  * Add topmost-status- handlers in applet (bug 18442[PE])

 -- Ouyang Qi <qi.ouyang@nokia.com>  Tue, 15 Nov 2005 13:13:55 +0200

osso-clock-ui (1.0.46-0) unstable; urgency=low

  * Remove pointless focus grabbing in applet

 -- Ouyang Qi <qi.ouyang@nokia.com>  Tue, 15 Nov 2005 12:15:32 +0200

osso-clock-ui (1.0.44-0) unstable; urgency=low

  * Add saving of old alarm time

 -- Ouyang Qi <qi.ouyang@nokia.com>  Tue,  1 Nov 2005 14:24:00 +0200

osso-clock-ui (1.0.43-1) unstable; urgency=low

  * Bug #20380 (PE): we don't have no state to save, fix valgrind errors.

 -- Ouyang Qi <qi.ouyang@nokia.com>  Fri, 28 Oct 2005 10:11:00 +0300

osso-clock-ui (1.0.43-0) unstable; urgency=low

  * Update agains osso-clock-1.0.43 API change (bug #20741)

 -- Ouyang Qi <qi.ouyang@nokia.com>  Tue, 25 Oct 2005 10:11:00 +0300

osso-clock-ui (1.0.42-0) unstable; urgency=low

  * Allocate locale change strings more sensibly (with osso-clock-1.0.42-0,
    fixes 20665 (PM)) 

 -- Ouyang Qi <qi.ouyang@nokia.com>  Wed, 19 Oct 2005 14:05:52 +0300

osso-clock-ui (1.0.41-0) unstable; urgency=low

  * test cases DEFAULT-1 and -1A fixed
  * test case PRE-1B fixed (-1A is nigh impossible to fix)

 -- Ouyang Qi <qi.ouyang@nokia.com>  Wed, 12 Oct 2005 15:20:12 +0300

osso-clock-ui (1.0.40-2) unstable; urgency=low

  * Bug #20269: Redraw the inner frame properly.

 -- Ouyang Qi <qi.ouyang@nokia.com>  Fri,  7 Oct 2005 12:57:23 +0300

